fsslower-nd(8)

NAME
fsslower-nd - Trace slow file system sync reads and writes. Uses Linux SystemTap (non-debuginfo).

SYNOPSIS
fsslower-nd.stp [min_ms]

DESCRIPTION
fsslower-nd.stp dynamically traces two common file system functions: do_sync_read() and do_sync_write(), and shows details of each call that is slower than a threshold. Many, but not all, file systems and workloads use these functions. Tracing their time provides one view of suffered file system latency. Other file system requests not covered by these functions and this tool include: asynchronous I/O, directory operations, and file handle operations.

REQUIREMENTS
SystemTap.

OPTIONS

min_ms
    Minimum millisecond threshold.

EXAMPLES

Measure (most) file system synchronous read and write requests with latency slower than or equal to 5 ms:
    # fsslower-nd.stp 5

FIELDS

TIME
    Time of the event completion.

PID Process ID.

COMM
    Process name.

FUNC
    Kernel function traced.

SIZE
    Size of FS request, in bytes.

LAT(ms)
    Latency of function, in milliseconds.

OVERHEAD
The overheads are measurable, as file system requests can be very frequent, and the small overhead of tracing each (eg, 4 microseconds per call) can begin to add up. Best case, it won't be noticeable. Worst case, the application may run 2x slower.

SOURCE
This is from the SystemTap lwtools collection.

    https://github.com/brendangregg/systemtap-lwtools

Also look under the examples directory for a text file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Brendan Gregg

SEE ALSO
iostat(1), fslatency-nd.stp(8), biolatency-nd.stp(8)